Simplex+ Update

Posted by Destination Gold on

Simplex Versions and Coil Compatibility

What To Know

  • All Simplex+ devices that have been shipping with software version 2.76 or 2.77 have the latest version coils on them. These coils will not work with any device that has any software version prior to 2.76. 

 

  • Devices that shipped with software version 2.76 or 2.77 cannot be downgraded to 2.68! 

 

  • In regards to some reports of "Jumpy IDs" of the versions 2.76 / 2.77: As the ID depths have been increased in these versions, this is actually a normal outcome under certain conditions. However, we will be releasing another update today - 2.78 which will bring the ID depths and stability back to 2.68 levels. 

If you are happy with the ID stability and depths of 2.76 / 2.77, you do not need to install this update!!

 

  • Simplex+ optional coils will be released soon -- these coils will also only work with software versions 2.76 and above.

 

More Info on Simplex+

Buy Simplex+ Now

Buy Simplex+ WHP Now


Share this post



← Older Post Newer Post →


Leave a comment

Please note, comments must be approved before they are published.